nl.tudelft.simulation.dsol.tutorial.section42.policies

## Class StationaryPolicy

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section42.policies.StationaryPolicy

All Implemented Interfaces:
  OrderingPolicy

    public class StationaryPolicy
    extends Object
    implements OrderingPolicy

A StationaryPolicy.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Constructor Summary

Constructors
Constructor and Description
`StationaryPolicy(SimulatorInterface.TimeDouble simulator)` constructs a new StationaryPolicy.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `computeAmountToOrder(long inventory)` decides the amount of product to order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StationaryPolicy

    public StationaryPolicy(SimulatorInterface.TimeDouble simulator)

constructs a new StationaryPolicy.

Parameters:
  `simulator` - the simulator which is executing the experiment

### Method Detail

#### computeAmountToOrder

    public final long computeAmountToOrder(long inventory)

decides the amount of product to order.

Specified by:
  `computeAmountToOrder` in interface `OrderingPolicy`
Parameters:
  `inventory` - the current inventory
Returns:
  long the amount